Bug 143674 - Misleading "different MAC address than expected" when wireless card not inserted
Misleading "different MAC address than expected" when wireless card not inserted
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
3
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks: FC4Target
  Show dependency treegraph
 
Reported: 2004-12-23 13:55 EST by Richard Hughes
Modified: 2014-03-16 22:51 EDT (History)
1 user (show)

See Also:
Fixed In Version: 8.08-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 15:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Fixes the above issue with an early check for $FOUNDMACADDR. (552 bytes, patch)
2004-12-23 13:58 EST, Richard Hughes
no flags Details | Diff

  None (edit)
Description Richard Hughes 2004-12-23 13:55:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When I boot my laptop *without* my 802.11b wireless pcmcia card
inserted I get the following:

"Device eth1 has different MAC address than expected, ignoring."

When it should read:

"Device eth1 not present, ignoring."

Version-Release number of selected component (if applicable):
initscripts-7.93.5-1

How reproducible:
Always

Steps to Reproduce:
1. remove wireless card that has an onboot policy of "yes"
2. reboot

Actual Results:  "Device eth1 has different MAC address than expected,
ignoring."

Expected Results:  "Device eth1 not present, ignoring."
Comment 1 Richard Hughes 2004-12-23 13:58:10 EST
Created attachment 109099 [details]
Fixes the above issue with an early check for $FOUNDMACADDR.
Comment 2 Richard Hughes 2005-04-04 07:45:38 EDT
Any comments on this bug? It's a easyfix with patch.
Comment 3 Bill Nottingham 2005-04-15 15:40:53 EDT
Slightly different fix in 8.08-1; you want to just drop out of the FOUNDMACADDR
processing and proceed to the later block.

Note You need to log in before you can comment on or make changes to this bug.